Error code
idempotency_key_required: Idempotency-Key required
- HTTP status
- 400
- Code
idempotency_key_required- Category
- idempotency
- Retry
- Retrying the same request will not help
- Problem type
https://docs.dialerbee.com/errors/idempotency-key-required
This operation changes data and needs an Idempotency-Key header: a unique value you generate per logical operation (a UUID is fine), 1-255 printable ASCII characters. Reuse it only to retry the same request.
Example
{
"type": "https://docs.dialerbee.com/errors/idempotency-key-required",
"title": "Idempotency-Key required",
"status": 400,
"detail": "This operation changes data and needs an Idempotency-Key header: a unique value you generate per logical operation (a UUID is fine), 1-255 printable ASCII characters.",
"instance": "urn:dialerbee:request:req_01K6BZ3M9X4T7Q2V8N5R6P1W0C",
"code": "idempotency_key_required",
"request_id": "req_01K6BZ3M9X4T7Q2V8N5R6P1W0C"
}
Returned by
- POST
/v1/leads/import - POST
/v1/leads - POST
/v1/campaigns/{campaign_id}/pause - POST
/v1/campaigns/{campaign_id}/resume - POST
/v1/calls - POST
/v1/webhooks - DELETE
/v1/webhooks/{webhook_id} - POST
/v1/webhooks/{webhook_id}/rotate-secret - POST
/v1/webhooks/{webhook_id}/test - POST
/v1/webhook-events/{event_id}/replay - POST
/v1/dnc - POST
/v1/callbacks - POST
/v1/callbacks/{callback_id}/cancel - POST
/v1/callbacks/{callback_id}/reschedule - POST
/v1/appointments - POST
/v1/appointments/{appointment_id}/reschedule - POST
/v1/appointments/{appointment_id}/cancel - POST
/v1/sms - POST
/v1/whatsapp/messages - POST
/v1/consents